Skip to content

API Reference / Contacts

POST /contacts/{contact_id}/meetings

Create a meeting for a specific contact

Logs a meeting against this contact. place is free-form text (max 100 characters); meeting_time records when it happened.

Maintained by the OnePageCRM engineering team

Path parameters

Name Type Description
contact_id req string Contact ID

Request body

  • meeting_time_intintegerunix-timestamp

    Time the meeting occurred in UNIX Epoch time (defaults to current time, if left blank)

  • placestring

    The place in which the meeting take place

  • textstring

    Extra details related to the meeting (supports `[b]bold[/b]` and `[i]italic[/i]` formatting)

  • user_ids_to_notifyarray<string>

    A list of user IDs to notify

Responses

201 Created
  • statusintegerint32

    Response code

  • messagestring

    Response message

  • timestampintegerunix-timestamp

    Response time

  • dataobject
    object fields β†’
    • meetingobject

      Allow you to keep track of meetings held with your contacts. Meetings include information like the place and the meeting result. Meetings support file attachments.

      object fields β†’
      • idstringbson-id

        ID of the meeting

      • contact_idstringbson-idrequired

        ID of the contact, to whom the meeting belongs

      • textstring

        Extra details related to the meeting (supports `[b]bold[/b]` and `[i]italic[/i]` formatting)

      • meeting_time_intintegerunix-timestamp

        Time the meeting occurred in UNIX Epoch time (defaults to current time, if left blank)

      • placestring

        The place in which the meeting take place

      • authorstring

        Shortened name of the creator of the meeting. Defaults to the logged API user.

      • attachmentsarray<object>

        Files attached to the meeting.

        array item fields β†’
        • idstringbson-id

          ID of the attachment

        • filenamestringrequired

          Name of the attachment file

        • custom_filenamestring

          Custom name of the attachment file

        • pinnedboolean

          Show if the attachment is pinned to its owner contact

        • pinned_atstring

          Shows pinned at timestamp. Is null if pinned == false

        • sizeintegerint32required

          Size of the attachment file (in bytes)

        • storage_providerstring

          Name of the storage provider (where the attachment file is stored)

          enum: amazon Β· google_drive Β· dropbox Β· evernote

        • urlstring

          External URL of the attachment file

        • url_expires_atstringdate-time

          The time the attachment URL expires

        • thumbnailobject

          An image preview of the attachment file (if one exists)

          object fields β†’
          • urlstring

            External URL of the attachment's thumbnail

      • created_atstringdate-time

        Creation time of the meeting

      • modified_atstringdate-time

        Last modification time of the meeting

      • indexintegerint32

        Index of the meeting (in the results set)

Standard error responses: 400 Β· 401 Β· 403 Β· 404 Β· 409 Β· 500 β€” shared across the API. See Errors.

Related guides